devguard
Audit log

Get a list of paginated audit logs.

GET
/audit-log/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Range5 <= value
Default100
page?number
Range1 <= value
Default1
organizationId*string
Length1 <= length
orderByName?string

Value in

  • "asc"
  • "desc"
filterByName?string
userId?string
entityId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/audit-log/?organizationId=string"
{  "items": [    {      "id": "string",      "userId": "string",      "logType": "string",      "logMessage": "string",      "logData": null,      "createdAt": "string",      "organizationId": "string"    }  ],  "total": 0,  "page": 0,  "limit": 0}

How is this guide?